<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <changeSet author="antonio (generated)" id="130120181200">
        <createTable tableName="MC_M_ALLOWED_VALUE">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="CODICE" type="VARCHAR(10)">
                <constraints nullable="false"/>
            </column>
            <column name="DESCRIZIONE" type="VARCHAR(64)">
                <constraints nullable="false"/>
            </column>
            <column name="ID_FIELD" type="BIGINT"/>
        </createTable>


        <createTable tableName="MC_M_DICHIARAZIONE">
            <column name="COMPILABILITA" type="INT">
                <constraints nullable="false"/>
            </column>
            <column name="VISIBILITA" type="INT">
                <constraints nullable="false"/>
            </column>
            <column name="OBBLIGATORIO" type="BIT(1)">
                <constraints nullable="false"/>
            </column>
            <column name="CUSTOM_CONTROLLER" type="VARCHAR(128)"/>
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="SPUNTABILE" type="BIT(1)">
                <constraints nullable="false"/>
            </column>
            <column name="TEMPLATE_ENGINE" type="VARCHAR(10)">
                <constraints nullable="false"/>
            </column>
            <column name="DESCRIZIONE" type="VARCHAR(512)">
                <constraints nullable="false"/>
            </column>
            <column name="ID_GUIDA" type="BIGINT"/>
            <column name="DATA_CREAZIONE" type="datetime">
                <constraints nullable="false"/>
            </column>
            <column name="DATA_MODIFICA" type="datetime"/>
            <column defaultValueNumeric="1" name="MIN_OCCURRENCES" type="TINYINT(3)">
                <constraints nullable="false"/>
            </column>
            <column defaultValueNumeric="1" name="MAX_OCCURRENCES" type="TINYINT(3)">
                <constraints nullable="false"/>
            </column>
            <column name="ID_TEMPLATE" type="BIGINT"/>
        </createTable>


        <createTable tableName="MC_M_FIELD">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="FIELD_TYPE" type="VARCHAR(10)">
                <constraints nullable="false"/>
            </column>
            <column name="LARGHEZZA" type="TINYINT(3)">
                <constraints nullable="false"/>
            </column>
            <column name="ETICHETTA" type="VARCHAR(64)">
                <constraints nullable="false"/>
            </column>
            <column name="OBBLIGATORIO" type="BIT(1)">
                <constraints nullable="false"/>
            </column>
            <column name="ID_GRUPPO" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="NOME" type="VARCHAR(64)">
                <constraints nullable="false"/>
            </column>
            <column name="FILE_TYPE" type="INT"/>
            <column name="REGEX" type="VARCHAR(512)"/>
            <column name="SUB_TYPE" type="VARCHAR(32)"/>
            <column defaultValueNumeric="1" name="MIN_OCCURRENCES" type="TINYINT(3)">
                <constraints nullable="false"/>
            </column>
            <column defaultValueNumeric="1" name="MAX_OCCURRENCES" type="TINYINT(3)">
                <constraints nullable="false"/>
            </column>
            <column name="JAVA_TYPE" type="VARCHAR(32)"/>
            <column name="IN_RANGE" type="BIT(1)"/>
            <column name="INTERV_DA" type="datetime"/>
            <column name="INTERV_A" type="datetime"/>
        </createTable>


        <createTable tableName="MC_GRUPPO">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="MAX_INSTANCES" type="INT">
                <constraints nullable="false"/>
            </column>
            <column name="ID_DIC" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="ETICHETTA" type="VARCHAR(64)">
                <constraints nullable="false"/>
            </column>
        </createTable>


        <createTable tableName="MC_GUIDA_COMPILAZIONE">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="ID_TESTO" type="BIGINT"/>
        </createTable>


        <createTable tableName="MC_LOBS">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="LOB" type="BLOB"/>
        </createTable>


        <createTable tableName="MC_V_PRATICA">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="ID_PROCEDIMENTO" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="DATA_CREAZIONE" type="datetime">
                <constraints nullable="false"/>
            </column>
            <column name="DATA_MODIFICA" type="datetime"/>
            <column name="STATO" type="VARCHAR(16)"/>
        </createTable>


        <createTable tableName="MC_M_PROCEDIMENTO">
            <column name="COMPILABILITA" type="INT">
                <constraints nullable="false"/>
            </column>
            <column name="VISIBILITA" type="INT">
                <constraints nullable="false"/>
            </column>
            <column name="OBBLIGATORIO" type="BIT(1)">
                <constraints nullable="false"/>
            </column>
            <column name="ICON" type="VARCHAR(64)"/>
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="STATO" type="INT">
                <constraints nullable="false"/>
            </column>
            <column name="DESCRIZIONE" type="VARCHAR(512)">
                <constraints nullable="false"/>
            </column>
            <column name="ID_GUIDA" type="BIGINT"/>
            <column name="DATA_CREAZIONE" type="datetime">
                <constraints nullable="false"/>
            </column>
            <column name="DATA_MODIFICA" type="datetime"/>
        </createTable>


        <createTable tableName="MC_M_PR_ALL">
            <column name="PR" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="ALLEG" type="BIGINT">
                <constraints nullable="false"/>
            </column>
        </createTable>


        <createTable tableName="MC_M_PR_DIC">
            <column name="PR" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="DIC" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="POS" type="INT">
                <constraints nullable="false"/>
            </column>
        </createTable>


        <createTable tableName="MC_V_RAW_VALUE">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="ID_VALUE" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="STRING_VALUE" type="VARCHAR(2048)"/>
            <column name="BOOLEAN_VALUE" type="BIT(1)"/>
            <column name="DATE_VALUE" type="datetime"/>
            <column name="ID_LOB" type="BIGINT"/>
            <column name="BIG_D_VALUE" type="DECIMAL(20, 10)"/>
        </createTable>


        <createTable tableName="MC_V_VALUE">
            <column autoIncrement="true" name="ID" type="BIGINT">
                <constraints primaryKey="true"/>
            </column>
            <column name="ID_PRATICA" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="ID_FIELD" type="BIGINT">
                <constraints nullable="false"/>
            </column>
        </createTable>


        <addPrimaryKey columnNames="PR, ALLEG" constraintName="PRIMARY" tableName="MC_M_PR_ALL"/>


        <addPrimaryKey columnNames="PR, DIC" constraintName="PRIMARY" tableName="MC_M_PR_DIC"/>


        <createIndex indexName="MC_ALL_FIE_FK" tableName="MC_M_ALLOWED_VALUE">
            <column name="ID_FIELD"/>
        </createIndex>


        <createIndex indexName="MC_DIC_GUIDA_FK" tableName="MC_M_PROCEDIMENTO">
            <column name="ID_GUIDA"/>
        </createIndex>


        <createIndex indexName="MC_DIC_LOB_FK" tableName="MC_M_DICHIARAZIONE">
            <column name="ID_TEMPLATE"/>
        </createIndex>


        <createIndex indexName="MC_FIE_GR_FK" tableName="MC_M_FIELD">
            <column name="ID_GRUPPO"/>
        </createIndex>


        <createIndex indexName="MC_GR_DIC_FK" tableName="MC_GRUPPO">
            <column name="ID_DIC"/>
        </createIndex>


        <createIndex indexName="MC_GUIDA_LOB_FK" tableName="MC_GUIDA_COMPILAZIONE">
            <column name="ID_TESTO"/>
        </createIndex>


        <createIndex indexName="MC_PRAT_PROC_FK" tableName="MC_V_PRATICA">
            <column name="ID_PROCEDIMENTO"/>
        </createIndex>


        <createIndex indexName="MC_M_PR_DIC_DIC_FK" tableName="MC_M_PR_DIC">
            <column name="DIC"/>
        </createIndex>


        <createIndex indexName="MC_PR_GUIDA_FK" tableName="MC_M_DICHIARAZIONE">
            <column name="ID_GUIDA"/>
        </createIndex>


        <createIndex indexName="MC_RVAL_LOB_FK" tableName="MC_V_RAW_VALUE">
            <column name="ID_LOB"/>
        </createIndex>


        <createIndex indexName="MC_RVAL_VAL_FK" tableName="MC_V_RAW_VALUE">
            <column name="ID_VALUE"/>
        </createIndex>


        <createIndex indexName="MC_VAL_FIE_FK" tableName="MC_V_VALUE">
            <column name="ID_FIELD"/>
        </createIndex>


        <createIndex indexName="MC_VAL_PRAT_FK" tableName="MC_V_VALUE">
            <column name="ID_PRATICA"/>
        </createIndex>


        <createIndex indexName="PR_ALL_ALL_FK" tableName="MC_M_PR_ALL">
            <column name="ALLEG"/>
        </createIndex>


        <addForeignKeyConstraint baseColumnNames="ID_FIELD" baseTableName="MC_M_ALLOWED_VALUE" constraintName="MC_ALL_FIE_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_FIELD"/>


        <addForeignKeyConstraint baseColumnNames="ID_GUIDA" baseTableName="MC_M_PROCEDIMENTO" constraintName="MC_DIC_GUIDA_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_GUIDA_COMPILAZIONE"/>


        <addForeignKeyConstraint baseColumnNames="ID_TEMPLATE" baseTableName="MC_M_DICHIARAZIONE" constraintName="MC_DIC_LOB_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_LOBS"/>


        <addForeignKeyConstraint baseColumnNames="ID_GRUPPO" baseTableName="MC_M_FIELD" constraintName="MC_FIE_GR_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_GRUPPO"/>


        <addForeignKeyConstraint baseColumnNames="ID_DIC" baseTableName="MC_GRUPPO" constraintName="MC_GR_DIC_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_DICHIARAZIONE"/>


        <addForeignKeyConstraint baseColumnNames="ID_TESTO" baseTableName="MC_GUIDA_COMPILAZIONE" constraintName="MC_GUIDA_LOB_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_LOBS"/>


        <addForeignKeyConstraint baseColumnNames="ID_PROCEDIMENTO" baseTableName="MC_V_PRATICA" constraintName="MC_PRAT_PROC_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_PROCEDIMENTO"/>


        <addForeignKeyConstraint baseColumnNames="DIC" baseTableName="MC_M_PR_DIC" constraintName="MC_M_PR_DIC_DIC_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_DICHIARAZIONE"/>


        <addForeignKeyConstraint baseColumnNames="PR" baseTableName="MC_M_PR_DIC" constraintName="MC_M_PR_DIC_PR_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_PROCEDIMENTO"/>


        <addForeignKeyConstraint baseColumnNames="ID_GUIDA" baseTableName="MC_M_DICHIARAZIONE" constraintName="MC_PR_GUIDA_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_GUIDA_COMPILAZIONE"/>


        <addForeignKeyConstraint baseColumnNames="ID_LOB" baseTableName="MC_V_RAW_VALUE" constraintName="MC_RVAL_LOB_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_LOBS"/>


        <addForeignKeyConstraint baseColumnNames="ID_VALUE" baseTableName="MC_V_RAW_VALUE" constraintName="MC_RVAL_VAL_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_V_VALUE"/>


        <addForeignKeyConstraint baseColumnNames="ID_FIELD" baseTableName="MC_V_VALUE" constraintName="MC_VAL_FIE_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_FIELD"/>


        <addForeignKeyConstraint baseColumnNames="ID_PRATICA" baseTableName="MC_V_VALUE" constraintName="MC_VAL_PRAT_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_V_PRATICA"/>


        <addForeignKeyConstraint baseColumnNames="ALLEG" baseTableName="MC_M_PR_ALL" constraintName="PR_ALL_ALL_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_FIELD"/>


        <addForeignKeyConstraint baseColumnNames="PR" baseTableName="MC_M_PR_ALL" constraintName="PR_ALL_PR_FK" deferrable="false" initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION" referencedColumnNames="ID" referencedTableName="MC_M_PROCEDIMENTO"/>
    </changeSet>
</databaseChangeLog>
